#!/bin/bash
# 13/5/2025 by jokel

win="Switch - 30Hz"
hz30="2160p30"
hz50="2160p50"

vmode=$(cat /proc/stb/video/videomode)

if [ "$vmode" != "$hz30" ] && [ "$vmode" != "$hz50" ]; then
    msgbox size=22 title="$win" popup="~c Falscher Videomodus der sollte 2160p sein." timeout=5
    exit 1
fi

msgbox size=22 title="$win" select="$hz30","$hz50" default=2 cyclic=0 order=2 msg="~c~GAuswahl:" refresh=1
vmode="$?"

if [ "$vmode" = "2" ]; then
    vmode="$hz50"
else
    vmode="$hz30"
fi

echo -n "$vmode" > /proc/stb/video/videomode

